src_config()
{
    sed -i s/mawk// configure

    mkdir build
    pushd build
        ../configure
        make -C include
        make -C progs tic
    popd

    add_options='
--without-normal
--with-cxx-shared
'
    case ${LFS_VERSION} in
        11.1)
            add_options=
        ;;
    esac

    ./configure \
            --prefix=${PREFIX}           \
            --host=${LFS_TGT}            \
            --build=$(./config.guess)    \
            --mandir=${PREFIX}/share/man \
            --with-manpage-format=normal \
            --with-shared                \
            ${add_options}               \
            --without-debug              \
            --without-ada                \
            --disable-stripping          \
            --enable-widec
}

src_compile()
{
    make ${MAKEOPTS}
}

src_install()
{
    make DESTDIR=${D} TIC_PATH=$(pwd)/build/progs/tic install ${MAKEOPTS}
    echo "INPUT(-lncursesw)" > ${D}${PREFIX}/lib/libncurses.so
}
